diff a/src/hotspot/share/memory/metaspace.cpp b/src/hotspot/share/memory/metaspace.cpp
--- a/src/hotspot/share/memory/metaspace.cpp
+++ b/src/hotspot/share/memory/metaspace.cpp
@@ -693,11 +693,13 @@
   MetaspaceGC::initialize(); // <- since we do not prealloc init chunks anymore is this still needed?
 
   metaspace::ChunkHeaderPool::initialize();
 
   if (CDSConfig::is_dumping_static_archive()) {
-    assert(!CDSConfig::is_using_archive(), "sanity");
+    if (!CDSConfig::is_dumping_final_static_archive()) {
+      assert(!CDSConfig::is_using_archive(), "sanity");
+    }
     MetaspaceShared::initialize_for_static_dump();
   }
 
   // If UseCompressedClassPointers=1, we have two cases:
   // a) if CDS is active (runtime, Xshare=on), it will create the class space
@@ -860,10 +862,11 @@
 
   if (HAS_PENDING_EXCEPTION) {
     assert(false, "Should not allocate with exception pending");
     return nullptr;  // caller does a CHECK_NULL too
   }
+  //leyden/premain: temporarily disabled due to JDK-8327737
   assert(!THREAD->owns_locks(), "allocating metaspace while holding mutex");
 
   MetaWord* result = allocate(loader_data, word_size, type, use_class_space);
 
   if (result == nullptr) {
